Subject: Re: linux-next: build warning after merge of the clk tree

From: Boris Brezillon <[email-masked]>
Date: Mon, 12 Dec 2016 09:05:21 +0100

+Eric

Hi Stephen,

On Mon, 12 Dec 2016 08:39:44 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> After merging the clk tree, today's linux-next build (arm
> multi_v7_defconfig) produced this warning:
> 
> drivers/clk/bcm/clk-bcm2835.c: In function 'bcm2835_clock_determine_rate':
> drivers/clk/bcm/clk-bcm2835.c:1069:18: warning: 'best_rate' may be used uninitialized in this function [-Wmaybe-uninitialized]
>   *prate = curdiv * best_rate;
>                   ^
> drivers/clk/bcm/clk-bcm2835.c:1032:16: note: 'best_rate' was declared here
>   unsigned long best_rate;
>                 ^
> 
> Introduced by commit
> 
>   155e8b3b0ee3 ("clk: bcm: Support rate change propagation on bcm2835 clocks")
> 

Thanks for the report (I just sent a patch fixing this warning).
May I ask which toolchain you're using, because my gcc failed to detect
this uninitialized variable (and this is not the first time I have this
problem).

Regards,

Boris